<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">
    
    <link href="#{request.contextPath}/css/rhNomina.css" rel="stylesheet" type="text/css"></link>
    
    <h:outputStylesheet 
        library="css" 
        name="rhNomina.css"/>

    <ui:define 
        name="contentPart">
        
        <h:form 
            id="editPlazaForm">
            
               <h:outputText value="RH -> Plazas -> Editar" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Edición de plaza  " />
             <h:outputText 
                 value="&nbsp; &nbsp; &nbsp; Numero de plaza:" 
                style="font-weight: normal"/>
            
            <h:outputText 
                value=" #{editPlazaMB.plazaEdit.numeroPlaza}" 
                style="font-weight: bold"/>
            <br/><br/>
            
            <p:growl 
                id="confirmEditGrowl" 
                showDetail="true" 
                sticky="false"
                for="confirmEditGrowl"/>

            <h:panelGrid 
                id="busquedaPanelGridId" 
                columns="2" >
                
                <br/>
                
                <p:messages 
                    id="msg" 
                    showSummary="false" 
                    showDetail="true" />
                
                <h:panelGrid 
                    columns="2" 
                    id="editaPlaza" 
                    columnClasses="centered5,centered6" 
                     style="width:100%; text-align:left; padding-left: 140px " 
                     cellpadding="10px">
                    
                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            for="cmbadscripcionEdit" 
                            value="#{translatedMessage['restricted.rh.plaza.adscripciones']}: *"
                            style=" font-weight:bold"/>
                    </p:row>

                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <p:selectOneMenu 
                            id="cmbadscripcionEdit" 
                            value="#{editPlazaMB.plazaEdit.rhNomnAdscripcionesTO}"
                            filter="true"  
                            required="true"
                            style="width:520px"
                            autoWidth="false"
                            requiredMessage="Capture la Adscripción"
                            filterMatchMode="contains" 
                            caseSensitive="false"                                          
                            converter="entityConverter">                           
                            
                            <f:selectItems 
                                value="#{editPlazaMB.lstRhNomnAdscripciones}"
                                var="adscripcion"
                                itemLabel="#{adscripcion.adscClaveDesc} - #{adscripcion.descripcion}"
                                itemValue="#{adscripcion}"/>
                            <p:ajax 
                                event="change" 
                                update="tabulador, unidadAdmEdit, puesto" 
                                process="cmbadscripcionEdit"
                                listener="#{editPlazaMB.actualizarTabuladores(editPlazaMB.plazaEdit.rhNomnAdscripcionesTO.claveAdscripcion,editPlazaMB.plazaEdit.puestoTO.idPuesto)}" />
                        </p:selectOneMenu> 
                    </p:row>
                    
                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            for="tabulador" 
                            value="#{translatedMessage['restricted.rh.plaza.tabuladores']}: *"
                            style="font-weight: bold"/>
                    </p:row>

                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <p:selectOneMenu 
                            id="tabulador" 
                            value="#{editPlazaMB.plazaEdit.rhNomnTabuladoresTO}" 
                            filter="true" 
                            required="true"
                            style="width:150px"
                            autoWidth="false"
                            requiredMessage="Capture el tabulador"
                            filterMatchMode="contains" 
                            caseSensitive="false"                                          
                            converter="entityConverter" >

                            <f:selectItem  
                                itemLabel="Elige una opción..." />                                                        
                            
                            <f:selectItems 
                                value="#{editPlazaMB.lstRhNomnTabuladores}" 
                                var="tabuladores"
                                itemLabel="#{tabuladores.strClaveTabulador}"
                                itemValue="#{tabuladores}"/>
                            <p:ajax 
                                event="change" 
                                update="puesto" 
                                process="tabulador"
                                listener="#{editPlazaMB.actualizarPuesto(editPlazaMB.plazaEdit.rhNomnTabuladoresTO.grupoJerarquico.strClaveJerarquica , editPlazaMB.plazaEdit.rhNomnAdscripcionesTO.claveAdscripcion)}" />
                            
                        </p:selectOneMenu>   
                    </p:row>
                    
                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            for="puesto" 
                            value="#{translatedMessage['restricted.rh.plaza.puestos']}: *"
                            style="font-weight: bold"/>
                    </p:row>

                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <p:selectOneMenu 
                            id="puesto" 
                            value="#{editPlazaMB.plazaEdit.puestoTO}" 
                            filter="true"  
                            required="true" 
                            style="width:520px"
                            autoWidth="false"
                            requiredMessage="Capture el puesto"
                            filterMatchMode="contains" 
                            caseSensitive="false"                                          
                            converter="entityConverter" >
                            
                            <f:selectItem  
                                itemLabel="Elige una opción..." />                            
                            
                            <f:selectItems 
                                value="#{editPlazaMB.lstPuesto}" 
                                var="puestos"
                                itemLabel="#{puestos.descripcion}"
                                itemValue="#{puestos}"/>                            
                        </p:selectOneMenu> 
                    </p:row>                    
                    
                    
                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            for="estructuraOrg" 
                            value="#{translatedMessage['restricted.rh.plaza.estructuras']}: *"
                            style="font-weight: bold"/>
                    </p:row>

                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <p:selectOneMenu 
                            id="estructuraOrg" 
                            value="#{editPlazaMB.plazaEdit.estructuraTO}" 
                            filter="true" 
                            required="true"
                            style="width:150px"
                            autoWidth="false"
                            requiredMessage="Capture la estructura organizacional."
                            filterMatchMode="contains" 
                            caseSensitive="false"                                          
                            converter="entityConverter" >                                                       
                            
                            <f:selectItems 
                                value="#{editPlazaMB.lstEstructura}" 
                                var="estructuras"
                                itemLabel="#{estructuras.descripcion}"
                                itemValue="#{estructuras}"/>                            
                        </p:selectOneMenu>   
                    </p:row>                    
                    
                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            for="pefVacante" 
                            value="#{translatedMessage['restricted.rh.plaza.pef']}: *"
                            style="font-weight: bold"/>
                    </p:row>

                    <p:row
                        rendered="#{editPlazaMB.blEsPlazaVacante}">
                        
                        <p:selectOneMenu 
                            id="pefVacante" 
                            value="#{editPlazaMB.plazaEdit.pef}" 
                            filter="true" 
                            required="true"
                            style="width:150px"
                            autoWidth="false"
                            requiredMessage="Capture el PEF."
                            filterMatchMode="contains" 
                            caseSensitive="false"                                          
                            converter="entityConverter" >                                                       
                            
                            <f:selectItems 
                                value="#{editPlazaMB.lstPEF}" 
                                var="pefs"
                                itemLabel="#{pefs}"
                                itemValue="#{pefs}"/>                            
                        </p:selectOneMenu>   
                    </p:row>                     
                    
                    <p:row>
                        <h:outputLabel 
                            for="vigenciaFinalCal" 
                            value="#{translatedMessage['restricted.rh.plaza.vigenciaFinal']}: "
                            style=" font-weight:bold"/>
                    </p:row>

                    <p:row>
                        <p:calendar 
                            value="#{editPlazaMB.plazaEdit.vigenciaFinal}"
                            id="vigenciaFinalCal" 
                            showOn="button"                                        
                            pattern="dd/MM/yyyy"
                            locale= "es"                            
                            maxlength="10"
                            mode="popup"
                            navigator="true"
                            readonlyInput="true"
                            onkeydown="borrarCalendario(event)"
                            mindate="#{editPlazaMB.dtInicioVigenciaFinal}"   
                            maxdate="#{editPlazaMB.dtFinVigenciaFinal}"
                            converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                            style="width: 350px">                     
                        </p:calendar> 
                    </p:row>                    
                </h:panelGrid>
                
                <p:row/>
                
                <h:panelGrid 
                    columns="2" 
                    columnClasses="centered2,centered" 
                    cellpadding="10px"
                     style="width:100%; text-align:left; padding-left: 140px "  >
                    
                    <p:row
                        rendered="#{!editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            value="#{translatedMessage['restricted.rh.plaza.adscripciones']}: "
                            style=" font-weight:bold"/>
                   
                        
                        <h:outputLabel 
                            value="#{editPlazaMB.plazaEdit.rhNomnAdscripcionesTO.claveAdscripcion} #{editPlazaMB.plazaEdit.rhNomnAdscripcionesTO.descripcion}"/>
                    </p:row> 
                    
                    <p:row
                        rendered="#{!editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            value="#{translatedMessage['restricted.rh.plaza.tabuladores']}: "
                            style=" font-weight:bold"/>
                   
                        
                        <h:outputLabel 
                            value="#{editPlazaMB.plazaEdit.rhNomnTabuladoresTO.strClaveTabulador}"/>
                    </p:row>

                    <p:row
                        rendered="#{!editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            value="#{translatedMessage['restricted.rh.plaza.puestos']}: "
                            style=" font-weight:bold"/>
                    
                        
                        <h:outputLabel 
                            value="#{editPlazaMB.plazaEdit.puestoTO.descripcion}"/>
                    </p:row>                                        
                    
                    <p:row
                        rendered="#{!editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            value="#{translatedMessage['restricted.rh.plaza.estructuras']}: "
                            style=" font-weight:bold"/>
                   
                        <h:outputLabel 
                            value="#{editPlazaMB.plazaEdit.estructuraTO.descripcion}"/>
                    </p:row>

                    <p:row>
                        <h:outputLabel 
                            value="#{translatedMessage['restricted.rh.plaza.tiposNombramientos']}: "
                            style=" font-weight:bold"/>
                   
                        <h:outputLabel 
                            value="#{editPlazaMB.plazaEdit.tipoNombramientoTO.descripcion}"/>
                    </p:row>

                    <p:row>
                        <h:outputLabel 
                            value="#{translatedMessage['restricted.rh.plaza.vigenciaInicio']}: "
                            style=" font-weight:bold"/>
                    
                        <h:outputText 
                            value="#{editPlazaMB.plazaEdit.vigenciaInicio}">
                            
                            <f:convertDateTime 
                                type="date" 
                                pattern="dd/MM/yyyy"/>
                        </h:outputText>
                    </p:row>

                    <p:row>
                        <h:outputLabel 
                            for="estatus" 
                            value="#{translatedMessage['restricted.rh.plaza.estatusPlaza']}: "
                            style=" font-weight:bold"/>
                    
                        <h:outputText 
                            id="estatus" 
                            value="#{editPlazaMB.plazaEdit.estatusPlazaTO.descripcion}"/>                    
                    </p:row>

                    <p:row
                        rendered="#{!editPlazaMB.blEsPlazaVacante}">
                        
                        <h:outputLabel 
                            for="pef" 
                            value="#{translatedMessage['restricted.rh.plaza.pef']}: "
                            style=" font-weight:bold"/>
                   
                        <h:outputText 
                            id="pef"  
                            value="#{editPlazaMB.plazaEdit.pef}"/>
                    </p:row>

                    <p:row>
                        <h:outputLabel for="ejercicio" 
                                       value="#{translatedMessage['restricted.rh.plaza.ejercicios']}: "
                                       style=" font-weight:bold"/>
                    
                        <h:outputText 
                            id="ejercicio" 
                            value="#{editPlazaMB.plazaEdit.ejercicioTO.valor}"/>
                    </p:row>

                    <p:row>
                        <h:outputLabel 
                            for="unidadAdmEdit" 
                            value="#{translatedMessage['restricted.rh.plaza.unidadAministrativa']}: "
                            style=" font-weight:bold"/>
                    
                        <h:outputText 
                            id="unidadAdmEdit" 
                            value="#{editPlazaMB.plazaEdit.rhNomnAdscripcionesTO.detalleunidadAdm.claveUniAdm}" />
                    </p:row>
                </h:panelGrid>

                <p:row/>

                <h:panelGrid columns="1"
                             style="width:100%; text-align:left; padding-left: 140px; "
                             cellpadding="5px"
                             columnClasses="centered7"> 
                    
                   <f:facet name="header">
                        #{translatedMessage['restricted.rh.plaza.comentario']}
                    </f:facet>
                      <p:row >
                        <p:inputText style="visibility: hidden; width: 200px"/>
                    <p:inputTextarea 
                        rows="5" 
                        cols="50" 
                        id="comentario" 
                        value="#{editPlazaMB.plazaEdit.comentario}" 
                        counter="display" 
                        maxlength="255" 
                        counterTemplate="{0} caracteres restantes." 
                        autoResize="false"/> 
                      </p:row>
                    <p:row>
                      <p:inputText style="visibility: hidden; width: 200px"/>
                    <h:outputText id="display"/>
                    </p:row>
                </h:panelGrid>
            </h:panelGrid>

            <br/>
             <div align="right" style="padding-right: 150px">
            <p:commandButton
                update="confirmEditGrowl" 
                value="Guardar" 
                title="Guarda los Cambios de la Plaza"                
                actionListener="#{editPlazaMB.editarPlaza}">
            </p:commandButton>          
                 <div style="width:5px;
                        height:auto;
                        display:inline-block;"/>
            <p:commandButton
                value="Cerrar"
                class="btnCerrar"
                process="@(.btnCerrar)"
                actionListener="#{editPlazaMB.cerrar()}"
                />
             </div>
            <br/><br/>   
        
        </h:form>
        
        <script>
             function borrarCalendario(e) { // 1
                tecla = (document.all) ? e.keyCode : e.which; // 2

                if (tecla === 8 || tecla === 46){                                
                    jQuery('[id*=btnClearDF]').trigger('click');
                }

                return true; // 3            
            };

            function nada(){
                console.log("nada");
            };
        </script>        
    </ui:define>
</ui:composition>
